> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List issued cards for Punch Card

> Getting all issued cards for a specific punch card as paginated response



## OpenAPI

````yaml /openapi.yaml get /punch-cards/{punchCardId}/issued
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /punch-cards/{punchCardId}/issued:
    get:
      tags:
        - Punch Cards API
      summary: List issued cards for Punch Card
      description: Getting all issued cards for a specific punch card as paginated response
      operationId: list-bought-punch-cards
      parameters:
        - name: punchCardId
          in: path
          description: ID of the Punch Card to get the issued cards for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Paginated response with issued punch cards
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of Bought Punch Cards objects
                    items:
                      $ref: '#/components/schemas/PunchCardBought'
                  first_page_url:
                    type: string
                    example: >-
                      https://api.mijnklantportaal.nl/v1/punch-cards/pcd_abc12345def678/issued?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: >-
                      https://api.mijnklantportaal.nl/v1/punch-cards/pcd_abc12345def678/issued?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: >-
                      https://api.mijnklantportaal.nl/v1/punch-cards/pcd_abc12345def678/issued
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
        '426':
          description: Punch Cards are not available in the current license
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    PunchCardBought:
      type: object
      description: A bought punch card
      properties:
        id:
          type: string
          example: pcb_abc12345def678
          description: ID of the bought punch card, always starting with `pcb_`.
        punchCardId:
          type: string
          example: pcd_abc12345def678
          description: ID of the punch card which is bought
        customerId:
          type: string
          example: cst_abc12345def678
          description: ID of the customer who owns this bought punch card
        punchesLeft:
          type: integer
          example: 17
          description: Indicates how many punches are left before the card is fully used
        status:
          type: string
          example: active
          description: >-
            Actual status of the bought card. Can be `active`, `expired` or
            `fully_used`.
        expiresAt:
          type: string
          example: '2028-11-19T21:00:00+02:00'
          description: >-
            Date and time when the bought card will expire, written in ATOM
            format. Remains `null` when the card will not expire at all.
          nullabe: true
        issuedAt:
          type: string
          example: '2025-11-19T21:00:00+02:00'
          description: >-
            Date and time when the card was issued to or bought by the customer.
            Written in ATOM format.
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````